summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2019-06-07 14:02:23 +0200
committerThomas Deutschmann <whissi@gentoo.org>2019-06-07 16:07:46 +0200
commita764eb0878c2d173bc1ca58cf52d32636199649d (patch)
treed5730b447ebe24aa672414f449d542b34ebf9f0e /www-servers/nginx-unit
parentdev-php/pecl-uploadprogress: add PHP 7.3 support (diff)
downloadgentoo-a764eb0878c2d173bc1ca58cf52d32636199649d.tar.gz
gentoo-a764eb0878c2d173bc1ca58cf52d32636199649d.tar.bz2
gentoo-a764eb0878c2d173bc1ca58cf52d32636199649d.zip
www-servers/nginx-unit: add PHP 7.3 support
Package-Manager: Portage-2.3.67, Repoman-2.3.14 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'www-servers/nginx-unit')
-rw-r--r--www-servers/nginx-unit/metadata.xml1
-rw-r--r--www-servers/nginx-unit/nginx-unit-1.8.0.ebuild3
2 files changed, 3 insertions, 1 deletions
diff --git a/www-servers/nginx-unit/metadata.xml b/www-servers/nginx-unit/metadata.xml
index c8f76efa6ee..ae56567e450 100644
--- a/www-servers/nginx-unit/metadata.xml
+++ b/www-servers/nginx-unit/metadata.xml
@@ -20,6 +20,7 @@
<flag name="php5-6">Support for PHP 5.6</flag>
<flag name="php7-1">Support for PHP 7.1</flag>
<flag name="php7-2">Support for PHP 7.2</flag>
+ <flag name="php7-3">Support for PHP 7.3</flag>
</use>
<upstream>
<remote-id type="github">nginx/unit</remote-id>
diff --git a/www-servers/nginx-unit/nginx-unit-1.8.0.ebuild b/www-servers/nginx-unit/nginx-unit-1.8.0.ebuild
index 059d684520c..3f90bad6f36 100644
--- a/www-servers/nginx-unit/nginx-unit-1.8.0.ebuild
+++ b/www-servers/nginx-unit/nginx-unit-1.8.0.ebuild
@@ -16,7 +16,7 @@ LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64"
MY_USE="perl python ruby"
-MY_USE_PHP="php5-6 php7-1 php7-2"
+MY_USE_PHP="php5-6 php7-1 php7-2 php7-3"
IUSE="${MY_USE} ${MY_USE_PHP}"
REQUIRED_USE="|| ( ${IUSE} ) python? ( ${PYTHON_REQUIRED_USE} )"
@@ -24,6 +24,7 @@ DEPEND="perl? ( dev-lang/perl:= )
php5-6? ( dev-lang/php:5.6[embed] )
php7-1? ( dev-lang/php:7.1[embed] )
php7-2? ( dev-lang/php:7.2[embed] )
+ php7-3? ( dev-lang/php:7.3[embed] )
python? ( ${PYTHON_DEPS} )
ruby? ( dev-lang/ruby:= )"
RDEPEND="${DEPEND}"